Previous: External Filters, Up: Part II Language Filters [Contents][Index]

### 12.2 Command Line Arguments of the Filter

Form Designer passes along the options that affect the output format to the filter. These options may or may not apply to the filter, most likely not if the filter works on the C file. For those that do not apply, the filter can simply ignore them, but shouldn’t stop running because of these options.

`-callback`

  callback stubs are generated

`-main`

  main stub is generated

`-altformat`

  output in alternate format

`-compensate`

  emit size compensation code